> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getActiveUsers

> The `getActiveUsers` API is used to retrieve comprehensive information about all currently active users in the system. This report provides essential user data for payroll processing, compliance tracking, and workforce management.

### What it does:

- Returns detailed information for active users including wage and address

### Notes:

- Only active users are fetched by this API call. Deactivated or terminated users will not appear in the results
- Requests are worker type specific (W2 for employees and 1099 for contractors)
- Returns the same fields as `getUsers`, which can be used to retrieve a full list of activated, deactivated and terminated users



## OpenAPI

````yaml get /reports/getActiveUsers
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getActiveUsers:
    get:
      tags: []
      summary: getActiveUsers
      description: >-
        The `getActiveUsers` API is used to retrieve comprehensive information
        about all currently active users in the system. This report provides
        essential user data for payroll processing, compliance tracking, and
        workforce management.


        ### What it does:


        - Returns detailed information for active users including wage and
        address


        ### Notes:


        - Only active users are fetched by this API call. Deactivated or
        terminated users will not appear in the results

        - Requests are worker type specific (W2 for employees and 1099 for
        contractors)

        - Returns the same fields as `getUsers`, which can be used to retrieve a
        full list of activated, deactivated and terminated users
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getActiveUsers
                companyId:
                  type: string
                workerType:
                  type: string
              required:
                - method
                - companyId
                - workerType
            example:
              method: getActiveUsers
              companyId: 01A33366-EE1C-4E13-BCB9-E482AC3A4545
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: string
                        userId:
                          type: string
                        userReferenceId:
                          type: string
                        companyId:
                          type: string
                        status:
                          type: object
                          properties:
                            userStatus:
                              type: string
                          required:
                            - userStatus
                        WorkerType:
                          type: object
                          properties:
                            WorkerType:
                              type: string
                          required:
                            - WorkerType
                        firstName:
                          type: string
                        lastName:
                          type: string
                        middleName:
                          type: string
                        phoneNumber:
                          type: string
                        kycStatus:
                          type: string
                        jobTitle:
                          type: string
                        dateOfJoin:
                          type: string
                        email:
                          type: string
                        userWages:
                          type: array
                          items:
                            type: object
                            properties:
                              WageRate:
                                type: number
                              WageBasis:
                                type: object
                                properties:
                                  WageBasis:
                                    type: string
                                required:
                                  - WageBasis
                              paymentMethod:
                                type: object
                                properties:
                                  PaymentMethod:
                                    type: string
                                required:
                                  - PaymentMethod
                            required:
                              - WageRate
                              - WageBasis
                              - paymentMethod
                        userAddress:
                          type: object
                          properties:
                            address1:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipcode:
                              type: string
                            country:
                              type: string
                          required:
                            - address1
                            - city
                            - state
                            - zipcode
                            - country
                      required:
                        - user
                        - userId
                        - userReferenceId
                        - companyId
                        - status
                        - WorkerType
                        - firstName
                        - lastName
                        - phoneNumber
                        - kycStatus
                        - jobTitle
                        - dateOfJoin
                        - email
                        - userWages
                        - userAddress
                required:
                  - user
              example:
                user:
                  - user: Ryan Lee Allen
                    userId: 94380CA2-3612-46D7-92EA-02D8A2D0A094
                    userReferenceId: ''
                    companyId: B35D7C33-93EF-44EB-8C04-6BBD0907CCB4
                    status:
                      userStatus: Active
                    WorkerType:
                      WorkerType: W2
                    firstName: Ryan
                    lastName: Allen
                    middleName: Lee
                    phoneNumber: '6449847893'
                    kycStatus: passed
                    jobTitle: Maintenance Technician
                    dateOfJoin: '2025-11-14'
                    email: ryan.allen70819@mailsac.com
                    userWages:
                      - WageRate: 25
                        WageBasis:
                          WageBasis: Per Day
                        paymentMethod:
                          PaymentMethod: Direct Deposit
                    userAddress:
                      address1: 1725 Reisterstown Rd
                      address2: ''
                      city: Randallstown
                      state: MD
                      zipcode: '21133'
                      country: US
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````